#ifndef REFRESHTIMER_H
#define REFRESHTIMER_H

#include <QObject>
#include <QTimer>
#include <QSettings>

class RefreshTimer : public QObject
{
    Q_OBJECT
public:
    explicit RefreshTimer(QObject *parent = 0);
    ~RefreshTimer();

    void connectTimeout(QObject *_object);
    void disconnectTimeout();

    void start(int _interval);
    void startInterval();
    void startSmallInterval();
    void stop();
    void restartAfterPause();


signals:
    void timeout();

private:
    QTimer *refreshTimer;
    int interval;
    int smallInterval;

};

#endif // REFRESHTIMER_H
